### Type parameters

- #### TValue

### Hierarchy

- LoDashImplicitWrapper

## Index

### Methods

- countBy
- every
- filter
- find
- findLast
- flatMap
- flatMapDeep
- flatMapDepth
- groupBy
- includes
- invokeMap
- keyBy
- map
- orderBy
- partition
- reduce
- reduceRight
- reject
- sample
- sampleSize
- shuffle
- size
- some
- sortBy

## Methods

### countBy

- countBy<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, iteratee?: ValueIteratee<T>): LoDashImplicitWrapper<Dictionary<number>>
- countBy<T>(this: LoDashImplicitWrapper<T | null | undefined>, iteratee?: ValueIteratee<T[keyof T]>): LoDashImplicitWrapper<Dictionary<number>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:33
  see

    _.countBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashImplicitWrapper<Dictionary<number>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:41
  see

    _.countBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional iteratee: ValueIteratee<T[keyof T]>

  #### Returns LoDashImplicitWrapper<Dictionary<number>>

### every

- every<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>): boolean
- every<T>(this: LoDashImplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>): boolean

- - Defined in node_modules/@types/lodash/common/collection.d.ts:174
  see

    _.every

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  #### Returns boolean

- - Defined in node_modules/@types/lodash/common/collection.d.ts:182
  see

    _.every

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  #### Returns boolean

### filter

- filter(this: LoDashImplicitWrapper<string | null | undefined>, predicate?: StringIterator<boolean>): LoDashImplicitWrapper<string[]>
- filter<T, S>(this: LoDashImplicitWrapper<List<T> | null | undefined>, predicate: ListIteratorTypeGuard<T, S>): LoDashImplicitWrapper<S[]>
- filter<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>): LoDashImplicitWrapper<T[]>
- filter<T, S>(this: LoDashImplicitWrapper<T | null | undefined>, predicate: ObjectIteratorTypeGuard<T, S>): LoDashImplicitWrapper<S[]>
- filter<T>(this: LoDashImplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>): LoDashImplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:259
  see

    _.filter

  #### Parameters

  - ##### this: LoDashImplicitWrapper<string | null | undefined>

  - ##### Optional predicate: StringIterator<boolean>

  #### Returns LoDashImplicitWrapper<string[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:267
  see

    _.filter

  #### Type parameters

  - #### T

  - #### S: T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### predicate: ListIteratorTypeGuard<T, S>

  #### Returns LoDashImplicitWrapper<S[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:275
  see

    _.filter

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:283
  see

    _.filter

  #### Type parameters

  - #### T: object

  - #### S: T[keyof T]

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### predicate: ObjectIteratorTypeGuard<T, S>

  #### Returns LoDashImplicitWrapper<S[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:291
  see

    _.filter

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  #### Returns LoDashImplicitWrapper<Array<T[keyof T]>>

### find

- find<T, S>(this: LoDashImplicitWrapper<List<T> | null | undefined>, predicate: ListIteratorTypeGuard<T, S>, fromIndex?: undefined | number): S | undefined
- find<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>, fromIndex?: undefined | number): T | undefined
- find<T, S>(this: LoDashImplicitWrapper<T | null | undefined>, predicate: ObjectIteratorTypeGuard<T, S>, fromIndex?: undefined | number): S | undefined
- find<T>(this: LoDashImplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>, fromIndex?: undefined | number): T[keyof T] | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:389
  see

    _.find

  #### Type parameters

  - #### T

  - #### S: T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### predicate: ListIteratorTypeGuard<T, S>

  - ##### Optional fromIndex: undefined | number

  #### Returns S | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:398
  see

    _.find

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  - ##### Optional fromIndex: undefined | number

  #### Returns T | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:407
  see

    _.find

  #### Type parameters

  - #### T: object

  - #### S: T[keyof T]

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### predicate: ObjectIteratorTypeGuard<T, S>

  - ##### Optional fromIndex: undefined | number

  #### Returns S | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:416
  see

    _.find

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  - ##### Optional fromIndex: undefined | number

  #### Returns T[keyof T] | undefined

### findLast

- findLast<T, S>(this: LoDashImplicitWrapper<List<T> | null | undefined>, predicate: ListIteratorTypeGuard<T, S>, fromIndex?: undefined | number): S | undefined
- findLast<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>, fromIndex?: undefined | number): T | undefined
- findLast<T, S>(this: LoDashImplicitWrapper<T | null | undefined>, predicate: ObjectIteratorTypeGuard<T, S>, fromIndex?: undefined | number): S | undefined
- findLast<T>(this: LoDashImplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>, fromIndex?: undefined | number): T[keyof T] | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:510
  see

    _.findLast

  #### Type parameters

  - #### T

  - #### S: T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### predicate: ListIteratorTypeGuard<T, S>

  - ##### Optional fromIndex: undefined | number

  #### Returns S | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:519
  see

    _.findLast

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  - ##### Optional fromIndex: undefined | number

  #### Returns T | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:528
  see

    _.findLast

  #### Type parameters

  - #### T: object

  - #### S: T[keyof T]

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### predicate: ObjectIteratorTypeGuard<T, S>

  - ##### Optional fromIndex: undefined | number

  #### Returns S | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:537
  see

    _.findLast

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  - ##### Optional fromIndex: undefined | number

  #### Returns T[keyof T] | undefined

### flatMap

- flatMap<T>(this: LoDashImplicitWrapper<List<Many<T>> | Dictionary<Many<T>> | NumericDictionary<Many<T>> | null | undefined>): LoDashImplicitWrapper<T[]>
- flatMap(): LoDashImplicitWrapper<any[]>
- flatMap<T, TResult>(this: LoDashImplicitWrapper<List<T> | null | undefined>, iteratee: ListIterator<T, Many<TResult>>): LoDashImplicitWrapper<TResult[]>
- flatMap<T, TResult>(this: LoDashImplicitWrapper<T | null | undefined>, iteratee: ObjectIterator<T, Many<TResult>>): LoDashImplicitWrapper<TResult[]>
- flatMap(iteratee: string): LoDashImplicitWrapper<any[]>
- flatMap(iteratee: object): LoDashImplicitWrapper<boolean[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:642
  see

    _.flatMap

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<Many<T>> | Dictionary<Many<T>> | NumericDictionary<Many<T>> | null | undefined>

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:647
  see

    _.flatMap

  #### Returns LoDashImplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:652
  see

    _.flatMap

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### iteratee: ListIterator<T, Many<TResult>>

  #### Returns LoDashImplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:660
  see

    _.flatMap

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### iteratee: ObjectIterator<T, Many<TResult>>

  #### Returns LoDashImplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:668
  see

    _.flatMap

  #### Parameters

  - ##### iteratee: string

  #### Returns LoDashImplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:675
  see

    _.flatMap

  #### Parameters

  - ##### iteratee: object

  #### Returns LoDashImplicitWrapper<boolean[]>

### flatMapDeep

- flatMapDeep<T>(this: LoDashImplicitWrapper<List<ListOfRecursiveArraysOrValues<T> | T> | Dictionary<ListOfRecursiveArraysOrValues<T> | T> | NumericDictionary<ListOfRecursiveArraysOrValues<T> | T> | null | undefined>): LoDashImplicitWrapper<T[]>
- flatMapDeep<T, TResult>(this: LoDashImplicitWrapper<List<T> | null | undefined>, iteratee: ListIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>): LoDashImplicitWrapper<TResult[]>
- flatMapDeep<T, TResult>(this: LoDashImplicitWrapper<T | null | undefined>, iteratee: ObjectIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>): LoDashImplicitWrapper<TResult[]>
- flatMapDeep(this: LoDashImplicitWrapper<object | null | undefined>, iteratee: string): LoDashImplicitWrapper<any[]>
- flatMapDeep(this: LoDashImplicitWrapper<object | null | undefined>, iteratee: object): LoDashImplicitWrapper<boolean[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:784
  see

    _.flatMapDeep

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<ListOfRecursiveArraysOrValues<T> | T> | Dictionary<ListOfRecursiveArraysOrValues<T> | T> | NumericDictionary<ListOfRecursiveArraysOrValues<T> | T> | null | undefined>

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:791
  see

    _.flatMapDeep

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### iteratee: ListIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>

  #### Returns LoDashImplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:799
  see

    _.flatMapDeep

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### iteratee: ObjectIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>

  #### Returns LoDashImplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:807
  see

    _.flatMapDeep

  #### Parameters

  - ##### this: LoDashImplicitWrapper<object | null | undefined>

  - ##### iteratee: string

  #### Returns LoDashImplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:815
  see

    _.flatMapDeep

  #### Parameters

  - ##### this: LoDashImplicitWrapper<object | null | undefined>

  - ##### iteratee: object

  #### Returns LoDashImplicitWrapper<boolean[]>

### flatMapDepth

- flatMapDepth<T>(this: LoDashImplicitWrapper<List<ListOfRecursiveArraysOrValues<T> | T> | Dictionary<ListOfRecursiveArraysOrValues<T> | T> | NumericDictionary<ListOfRecursiveArraysOrValues<T> | T> | null | undefined>): LoDashImplicitWrapper<T[]>
- flatMapDepth<T, TResult>(this: LoDashImplicitWrapper<List<T> | null | undefined>, iteratee: ListIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>, depth?: undefined | number): LoDashImplicitWrapper<TResult[]>
- flatMapDepth<T, TResult>(this: LoDashImplicitWrapper<T | null | undefined>, iteratee: ObjectIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>, depth?: undefined | number): LoDashImplicitWrapper<TResult[]>
- flatMapDepth(this: LoDashImplicitWrapper<object | null | undefined>, iteratee: string, depth?: undefined | number): LoDashImplicitWrapper<any[]>
- flatMapDepth(this: LoDashImplicitWrapper<object | null | undefined>, iteratee: object, depth?: undefined | number): LoDashImplicitWrapper<boolean[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:929
  see

    _.flatMapDepth

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<ListOfRecursiveArraysOrValues<T> | T> | Dictionary<ListOfRecursiveArraysOrValues<T> | T> | NumericDictionary<ListOfRecursiveArraysOrValues<T> | T> | null | undefined>

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:936
  see

    _.flatMapDepth

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### iteratee: ListIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>

  - ##### Optional depth: undefined | number

  #### Returns LoDashImplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:945
  see

    _.flatMapDepth

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### iteratee: ObjectIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>

  - ##### Optional depth: undefined | number

  #### Returns LoDashImplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:954
  see

    _.flatMapDepth

  #### Parameters

  - ##### this: LoDashImplicitWrapper<object | null | undefined>

  - ##### iteratee: string

  - ##### Optional depth: undefined | number

  #### Returns LoDashImplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:963
  see

    _.flatMapDepth

  #### Parameters

  - ##### this: LoDashImplicitWrapper<object | null | undefined>

  - ##### iteratee: object

  - ##### Optional depth: undefined | number

  #### Returns LoDashImplicitWrapper<boolean[]>

### groupBy

- groupBy<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, iteratee?: ValueIteratee<T>): LoDashImplicitWrapper<Dictionary<T[]>>
- groupBy<T>(this: LoDashImplicitWrapper<T | null | undefined>, iteratee?: ValueIteratee<T[keyof T]>): LoDashImplicitWrapper<Dictionary<Array<T[keyof T]>>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1263
  see

    _.groupBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashImplicitWrapper<Dictionary<T[]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1271
  see

    _.groupBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional iteratee: ValueIteratee<T[keyof T]>

  #### Returns LoDashImplicitWrapper<Dictionary<Array<T[keyof T]>>>

### includes

- includes<T>(this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>, target: T, fromIndex?: undefined | number): boolean

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1318
  see

    _.includes

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  - ##### target: T

  - ##### Optional fromIndex: undefined | number

  #### Returns boolean

### invokeMap

- invokeMap(methodName: string, ...args: any[]): LoDashImplicitWrapper<any[]>
- invokeMap<TResult>(method: function, ...args: any[]): LoDashImplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1366
  see

    _.invokeMap

  #### Parameters

  - ##### methodName: string

  - ##### Rest ...args: any[]

  #### Returns LoDashImplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1373
  see

    _.invokeMap

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### method: function

    - - (...args: any[]): TResult

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns TResult

  - ##### Rest ...args: any[]

  #### Returns LoDashImplicitWrapper<TResult[]>

### keyBy

- keyBy<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, iteratee?: ValueIterateeCustom<T, PropertyName>): LoDashImplicitWrapper<Dictionary<T>>
- keyBy<T>(this: LoDashImplicitWrapper<T | null | undefined>, iteratee?: ValueIterateeCustom<T[keyof T], PropertyName>): LoDashImplicitWrapper<Dictionary<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1424
  see

    _.keyBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratee: ValueIterateeCustom<T, PropertyName>

  #### Returns LoDashImplicitWrapper<Dictionary<T>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1432
  see

    _.keyBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional iteratee: ValueIterateeCustom<T[keyof T], PropertyName>

  #### Returns LoDashImplicitWrapper<Dictionary<T[keyof T]>>

### map

- map<T, TResult>(this: LoDashImplicitWrapper<T[] | null | undefined>, iteratee: ArrayIterator<T, TResult>): LoDashImplicitWrapper<TResult[]>
- map<T, TResult>(this: LoDashImplicitWrapper<List<T> | null | undefined>, iteratee: ListIterator<T, TResult>): LoDashImplicitWrapper<TResult[]>
- map<T>(this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>): LoDashImplicitWrapper<T[]>
- map<T, TResult>(this: LoDashImplicitWrapper<T | null | undefined>, iteratee: ObjectIterator<T, TResult>): LoDashImplicitWrapper<TResult[]>
- map<T, K>(this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>, iteratee: K): LoDashImplicitWrapper<Array<T[K]>>
- map<T>(this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>, iteratee?: undefined | string): LoDashImplicitWrapper<any[]>
- map<T>(this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>, iteratee?: undefined | object): LoDashImplicitWrapper<boolean[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1528
  see

    _.map

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T[] | null | undefined>

  - ##### iteratee: ArrayIterator<T, TResult>

  #### Returns LoDashImplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1536
  see

    _.map

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### iteratee: ListIterator<T, TResult>

  #### Returns LoDashImplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1544
  see

    _.map

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1549
  see

    _.map

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### iteratee: ObjectIterator<T, TResult>

  #### Returns LoDashImplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1555
  see

    _.map

  #### Type parameters

  - #### T

  - #### K: keyof T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  - ##### iteratee: K

  #### Returns LoDashImplicitWrapper<Array<T[K]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1563
  see

    _.map

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  - ##### Optional iteratee: undefined | string

  #### Returns LoDashImplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1571
  see

    _.map

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  - ##### Optional iteratee: undefined | object

  #### Returns LoDashImplicitWrapper<boolean[]>

### orderBy

- orderBy<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, iteratees?: Many<ListIterator<T, NotVoid>>, orders?: Many<boolean | "asc" | "desc">): LoDashImplicitWrapper<T[]>
- orderBy<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, iteratees?: Many<ListIteratee<T>>, orders?: Many<boolean | "asc" | "desc">): LoDashImplicitWrapper<T[]>
- orderBy<T>(this: LoDashImplicitWrapper<T | null | undefined>, iteratees?: Many<ObjectIterator<T, NotVoid>>, orders?: Many<boolean | "asc" | "desc">): LoDashImplicitWrapper<Array<T[keyof T]>>
- orderBy<T>(this: LoDashImplicitWrapper<T | null | undefined>, iteratees?: Many<ObjectIteratee<T>>, orders?: Many<boolean | "asc" | "desc">): LoDashImplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1696
  see

    _.orderBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratees: Many<ListIterator<T, NotVoid>>

  - ##### Optional orders: Many<boolean | "asc" | "desc">

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1705
  see

    _.orderBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratees: Many<ListIteratee<T>>

  - ##### Optional orders: Many<boolean | "asc" | "desc">

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1714
  see

    _.orderBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional iteratees: Many<ObjectIterator<T, NotVoid>>

  - ##### Optional orders: Many<boolean | "asc" | "desc">

  #### Returns LoDashImplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1723
  see

    _.orderBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional iteratees: Many<ObjectIteratee<T>>

  - ##### Optional orders: Many<boolean | "asc" | "desc">

  #### Returns LoDashImplicitWrapper<Array<T[keyof T]>>

### partition

- partition<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, callback: ValueIteratee<T>): LoDashImplicitWrapper<[T[], T[]]>
- partition<T>(this: LoDashImplicitWrapper<T | null | undefined>, callback: ValueIteratee<T[keyof T]>): LoDashImplicitWrapper<[Array<T[keyof T]>, Array<T[keyof T]>]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1798
  see

    _.partition

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### callback: ValueIteratee<T>

  #### Returns LoDashImplicitWrapper<[T[], T[]]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1806
  see

    _.partition

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### callback: ValueIteratee<T[keyof T]>

  #### Returns LoDashImplicitWrapper<[Array<T[keyof T]>, Array<T[keyof T]>]>

### reduce

- reduce<T, TResult>(this: LoDashImplicitWrapper<T[] | null | undefined>, callback: MemoListIterator<T, TResult, T[]>, accumulator: TResult): TResult
- reduce<T, TResult>(this: LoDashImplicitWrapper<List<T> | null | undefined>, callback: MemoListIterator<T, TResult, List<T>>, accumulator: TResult): TResult
- reduce<T, TResult>(this: LoDashImplicitWrapper<T | null | undefined>, callback: MemoObjectIterator<T[keyof T], TResult, T>, accumulator: TResult): TResult
- reduce<T>(this: LoDashImplicitWrapper<T[] | null | undefined>, callback: MemoListIterator<T, T, T[]>): T | undefined
- reduce<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, callback: MemoListIterator<T, T, List<T>>): T | undefined
- reduce<T>(this: LoDashImplicitWrapper<T | null | undefined>, callback: MemoObjectIterator<T[keyof T], T[keyof T], T>): T[keyof T] | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1897
  see

    _.reduce

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T[] | null | undefined>

  - ##### callback: MemoListIterator<T, TResult, T[]>

  - ##### accumulator: TResult

  #### Returns TResult

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1906
  see

    _.reduce

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### callback: MemoListIterator<T, TResult, List<T>>

  - ##### accumulator: TResult

  #### Returns TResult

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1915
  see

    _.reduce

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### callback: MemoObjectIterator<T[keyof T], TResult, T>

  - ##### accumulator: TResult

  #### Returns TResult

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1924
  see

    _.reduce

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T[] | null | undefined>

  - ##### callback: MemoListIterator<T, T, T[]>

  #### Returns T | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1932
  see

    _.reduce

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### callback: MemoListIterator<T, T, List<T>>

  #### Returns T | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1940
  see

    _.reduce

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### callback: MemoObjectIterator<T[keyof T], T[keyof T], T>

  #### Returns T[keyof T] | undefined

### reduceRight

- reduceRight<T, TResult>(this: LoDashImplicitWrapper<T[] | null | undefined>, callback: MemoListIterator<T, TResult, T[]>, accumulator: TResult): TResult
- reduceRight<T, TResult>(this: LoDashImplicitWrapper<List<T> | null | undefined>, callback: MemoListIterator<T, TResult, List<T>>, accumulator: TResult): TResult
- reduceRight<T, TResult>(this: LoDashImplicitWrapper<T | null | undefined>, callback: MemoObjectIterator<T[keyof T], TResult, T>, accumulator: TResult): TResult
- reduceRight<T>(this: LoDashImplicitWrapper<T[] | null | undefined>, callback: MemoListIterator<T, T, T[]>): T | undefined
- reduceRight<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, callback: MemoListIterator<T, T, List<T>>): T | undefined
- reduceRight<T>(this: LoDashImplicitWrapper<T | null | undefined>, callback: MemoObjectIterator<T[keyof T], T[keyof T], T>): T[keyof T] | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2063
  see

    _.reduceRight

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T[] | null | undefined>

  - ##### callback: MemoListIterator<T, TResult, T[]>

  - ##### accumulator: TResult

  #### Returns TResult

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2072
  see

    _.reduceRight

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### callback: MemoListIterator<T, TResult, List<T>>

  - ##### accumulator: TResult

  #### Returns TResult

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2081
  see

    _.reduceRight

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### callback: MemoObjectIterator<T[keyof T], TResult, T>

  - ##### accumulator: TResult

  #### Returns TResult

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2090
  see

    _.reduceRight

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T[] | null | undefined>

  - ##### callback: MemoListIterator<T, T, T[]>

  #### Returns T | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2098
  see

    _.reduceRight

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### callback: MemoListIterator<T, T, List<T>>

  #### Returns T | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2106
  see

    _.reduceRight

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### callback: MemoObjectIterator<T[keyof T], T[keyof T], T>

  #### Returns T[keyof T] | undefined

### reject

- reject(this: LoDashImplicitWrapper<string | null | undefined>, predicate?: StringIterator<boolean>): LoDashImplicitWrapper<string[]>
- reject<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>): LoDashImplicitWrapper<T[]>
- reject<T>(this: LoDashImplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>): LoDashImplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2202
  see

    _.reject

  #### Parameters

  - ##### this: LoDashImplicitWrapper<string | null | undefined>

  - ##### Optional predicate: StringIterator<boolean>

  #### Returns LoDashImplicitWrapper<string[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2210
  see

    _.reject

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2218
  see

    _.reject

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  #### Returns LoDashImplicitWrapper<Array<T[keyof T]>>

### sample

- sample<T>(this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>): T | undefined
- sample<T>(this: LoDashImplicitWrapper<T | null | undefined>): T[keyof T] | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2275
  see

    _.sample

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  #### Returns T | undefined

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2282
  see

    _.sample

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  #### Returns T[keyof T] | undefined

### sampleSize

- sampleSize<T>(this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>, n?: undefined | number): LoDashImplicitWrapper<T[]>
- sampleSize<T>(this: LoDashImplicitWrapper<T | null | undefined>, n?: undefined | number): LoDashImplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2331
  see

    _.sampleSize

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  - ##### Optional n: undefined | number

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2339
  see

    _.sampleSize

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional n: undefined | number

  #### Returns LoDashImplicitWrapper<Array<T[keyof T]>>

### shuffle

- shuffle<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>): LoDashImplicitWrapper<T[]>
- shuffle<T>(this: LoDashImplicitWrapper<T | null | undefined>): LoDashImplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2384
  see

    _.shuffle

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2389
  see

    _.shuffle

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  #### Returns LoDashImplicitWrapper<Array<T[keyof T]>>

### size

- size(): number

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2421
  see

    _.size

  #### Returns number

### some

- some<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>): boolean
- some<T>(this: LoDashImplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>): boolean

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2460
  see

    _.some

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  #### Returns boolean

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2468
  see

    _.some

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  #### Returns boolean

### sortBy

- sortBy<T>(this: LoDashImplicitWrapper<List<T> | null | undefined>, ...iteratees: Array<Many<ListIteratee<T>>>): LoDashImplicitWrapper<T[]>
- sortBy<T>(this: LoDashImplicitWrapper<T | null | undefined>, ...iteratees: Array<Many<ObjectIteratee<T>>>): LoDashImplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2544
  see

    _.sortBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...iteratees: Array<Many<ListIteratee<T>>>

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2552
  see

    _.sortBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T | null | undefined>

  - ##### Rest ...iteratees: Array<Many<ObjectIteratee<T>>>

  #### Returns LoDashImplicitWrapper<Array<T[keyof T]>>

Generated using TypeDoc